import { Coordinate } from '@antv/coord';
import { Group } from '@antv/g';
import Annotation, { AnnotationCfg, SvgAttrs } from './base';
export interface DataMarkerCfg extends AnnotationCfg {
    point: {
        display: boolean;
        style: SvgAttrs;
    };
    line: {
        display: boolean;
        lineLength: number;
        style: SvgAttrs;
    };
    text: {
        display: boolean;
        content: string;
        style: SvgAttrs;
    };
    direction: 'upward' | 'downward';
    autoAdjust: boolean;
}
export default class DataMarker extends Annotation<DataMarkerCfg> {
    constructor(cfg: DataMarkerCfg);
    render(coord: Coordinate, group: Group): void;
    private getElementPosition;
    private drawLine;
    private drawText;
    private drawPoint;
}
