import { Coordinate } from '@antv/coord';
import { Group } from '@antv/g';
import Annotation, { AnnotationCfg, Point, SvgAttrs } from './base';
export interface DataRegionCfg extends AnnotationCfg {
    region: {
        lineLength: number;
        style: SvgAttrs;
    };
    text: {
        display: boolean;
        content: string;
        style: SvgAttrs;
    };
}
export default class DataRegion extends Annotation<DataRegionCfg> {
    constructor(cfg: DataRegionCfg);
    render(coord: Coordinate, group: Group, data: Point[]): void;
    private getRegionData;
    private getBBox;
}
