import { Coordinate } from '@antv/coord';
import { Group } from '@antv/g';
import { Scale } from '@antv/scale';
import Annotation, { AnnotationCfg } from './base';
export interface HtmlCfg extends AnnotationCfg {
    alignX: 'left' | 'middle' | 'right';
    alignY: 'top' | 'middle' | 'bottom';
    html: ((xScales: Scale[] | Record<string, Scale>, yScales: Scale[] | Record<string, Scale>) => string) | string | HTMLElement;
    el: HTMLElement;
}
export default class Html extends Annotation<HtmlCfg> {
    constructor(cfg: HtmlCfg);
    render(coord: Coordinate, container: Group): void;
    clear(): void;
    private setDomPosition;
}
