/**
 * @description Legend 图例基类
 */
import { BBox } from '@antv/g';
import Guide from '../base';
import { LegendCfg } from '../interface';
export default abstract class Legend<T extends LegendCfg = LegendCfg> extends Guide<T> {
    constructor(cfg: T);
    /**
     * 渲染图例内容
     */
    render(): void;
    /**
     * @override
     * 获取图例的宽度
     */
    getWidth(): number;
    /**
     * @override
     * 获取图例的高度
     */
    getHeight(): number;
    /**
     * @override
     * 获取图例BBox
     */
    getBBox(): BBox;
    /**
     * @override
     * 将图例移动至 (x, y）坐标点位置
     * @param x x 坐标
     * @param y y 坐标
     */
    moveTo(x: number, y: number): void;
    /**
     * 绘制图例
     */
    draw(): void;
    abstract init(): void;
    abstract renderTitle(): void;
    abstract renderItems(): void;
    abstract bindEvents(): void;
    protected formatterValue(v: any): any;
}
