import { BBox } from '@antv/g';
import { CanvasCategoryLegendCfg } from '../../interface';
import CategoryBase from './base';
export default class CanvasLegend extends CategoryBase {
    maxWidth: number;
    maxHeight: number;
    isFlipped: boolean;
    flipUI: any;
    constructor(cfg: CanvasCategoryLegendCfg);
    init(): void;
    renderTitle(): void;
    renderItems(): void;
    isNeedFlip(): boolean;
    flipPage(): void;
    flipPageUI(x: any, y: any, size: any, pageNumber: any, mode: any): {
        arrows: any[];
        text: any;
        container: any;
    };
    _getPaginationCfg(): {
        arrow: {
            x: number;
            y: number;
            width: number;
            height: number;
            attrs: {
                fill: string;
                cursor: string;
            };
            direction: string;
        };
        text: {
            fontSize: number;
            fill: string;
            textAlign: string;
            textBaseline: string;
        };
        size: number;
    };
    _getHorizontalPaginationHeight(): number;
    bindEvents(): void;
    /**
     * 清空容器
     */
    clear(): void;
    /**
     * 销毁
     */
    destroy(): void;
    getCheckedCount(): number;
    getWidth(): number;
    getHeight(): number;
    getBBox(): BBox;
    private _adjustPositionOffset;
    private _addItem;
    private _getNextX;
    private _getNextY;
    private _adjustHorizontal;
    private _adjustVertical;
    private _adjustItems;
    private _renderBack;
    private _onMousemove;
    private _onMouseleave;
    private _onClick;
    private _getLegendItem;
    private _findItem;
    private _findShapeByName;
    private _getMaxItemSize;
    private _mergeBBox;
}
