import { Coordinate } from '@antv/coord';
import { Group } from '@antv/g';
import Annotation, { AnnotationCfg, SvgAttrs } from './base';
export interface LineCfg extends AnnotationCfg {
    line: {
        style: SvgAttrs;
    };
    text: Partial<{
        display: boolean;
        position: string;
        autoRotate: boolean;
        style: SvgAttrs;
        content: string;
        offsetX: number;
        offsetY: number;
    }>;
}
export default class Line extends Annotation<LineCfg> {
    constructor(cfg: LineCfg);
    render(coord: Coordinate, group: Group): void;
    private drawLines;
    private drawText;
}
