/**
 * @description 使用 HTML 进行渲染的图例
 */
import { BBox } from '@antv/g';
import { HTMLCategoryLegendCfg } from '../../interface';
import CategoryBase from './base';
export default class HTMLLegend extends CategoryBase {
    constructor(cfg: HTMLCategoryLegendCfg);
    init(): void;
    renderTitle(): void;
    renderItems(): void;
    bindEvents(): void;
    /**
     * 获取图例的宽度
     */
    getWidth(): number;
    /**
     * 获取图例的高度
     */
    getHeight(): number;
    /**
     * 获取图例的BBox
     */
    getBBox(): BBox;
    /**
     * 将图例移动至 (x, y）坐标点位置
     * @param x x 坐标
     * @param y y 坐标
     */
    moveTo(x: number, y: number): void;
    /**
     * 销毁
     */
    destroy(): void;
    draw(): any;
    private _updateStatus;
    private _onClick;
    private _onMousemove;
    private _onMouseout;
    private _renderPagination;
    private _renderHorizontalPagination;
}
