import Legend from '../base';
import { ContinuousLegendCfg } from '../../interface';
import { SliderCfg } from './components/slider';
import { CreateBgType } from './interface';
export default abstract class Continuous extends Legend {
    constructor(cfg: ContinuousLegendCfg);
    init(): void;
    /**
     * 连续型 title，其实和分类的 canvas title 没有什么区别
     */
    renderTitle(): void;
    /**
     * 连续性，直接 render 滑块即可
     */
    renderItems(): void;
    bindEvents(): void;
    /**
    * 清空容器
    */
    clear(): void;
    /**
     * 销毁
     */
    destroy(): void;
    /**
     * 滚动条布局，是否为横向
     * true  横向
     * false 纵向
     */
    isHorizontal(): boolean;
    protected isOperational(): boolean;
    protected isShowTitle(): boolean;
    protected getSliderConfig(): SliderCfg;
    private renderSlider;
    protected abstract createBackgroundGroup(): CreateBgType;
}
