import { GuideCfg } from '../interface';
export interface TooltipCfg extends GuideCfg {
    readonly enterable?: boolean;
    readonly inPlot?: boolean;
    readonly showTitle?: boolean;
    readonly offset?: number;
    readonly titleContent?: string;
    readonly x?: number;
    readonly y?: number;
    readonly items?: ToolTipContentItem[];
    readonly markerItems?: ToolTipContentItem[];
    readonly crosshairs?: {
        type: string;
        style: {
            fill: string;
            stroke: string;
            strokeOpacity: number;
            fillOpacity: number;
            lineWidth: number;
            lineDash: number | number[];
        };
    };
}
export interface ToolTipContentItem {
    title: string;
    name: string;
    value: number;
    color: string;
    size: number;
    x: number;
    y: number;
    point: {
        x: number;
        y: number;
    };
    marker: {
        symbol: string;
        radius: number;
    };
}
